Bug 726741 - gnome-terminal left-minimizes when invoked inside XFCE (making it useless)
gnome-terminal left-minimizes when invoked inside XFCE (making it useless)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
15
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-29 12:44 EDT by David A. Wheeler
Modified: 2012-08-07 13:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 13:13:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David A. Wheeler 2011-07-29 12:44:33 EDT
Description of problem:
When "gnome-terminal" is run while running XFCE, it minimizes to the left, making it useless.  While XFCE has its own "terminal", it's missing functionality like blinking, so I'd really like to be able to run gnome-terminal instead from XFCE.

Version-Release number of selected component (if applicable):
3.0.1

How reproducible:


Steps to Reproduce:
1. Start running in XFCE mode
2. Click on Applications Menu, "Run Program", type "gnome-terminal" and press Enter.  (You can also open the XFCE terminal, and type "gnome-terminal &").
  
Actual results:
gnome-terminal starts up with a normal display, but then ON ITS OWN it keeps resizing its width (moving the right edge) until it's just wide enough to show the menu.

Expected results:
gnome-terminal should start up with a normal display, and not resize its width.

Additional info:
Edit/Profile Preferences and changing "Use custom default size" doesn't seem to help.

Both GNOME 3 and XFCE environments are installed (I tried out GNOME 3, then installed and switched to XFCE); it's possible that there's some interference because BOTH are installed (though that should NOT cause this problem).

Hope this helps!
Comment 1 E. Lewis 2011-09-15 09:15:23 EDT
I experience exactly the same thing in the same environment as Mr. Wheeler.
Comment 2 Terje Røsten 2011-10-29 04:26:22 EDT
Same thing in KDE. One of the more strange bugs I ever have seen.

gnome-terminal-3.0.1-1.fc15.x86_64
Comment 3 Fedora Admin XMLRPC Client 2012-01-10 10:44:54 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2012-01-10 10:47:40 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Phil Schaffner 2012-03-23 14:24:10 EDT
This bug is still present in Fedora 16 with gnome-terminal-3.2.1-2.fc16.
Comment 6 Fedora End Of Life 2012-08-07 13:13:34 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.